From: Stefano Rivera <stefanor@debian.org>
Date: Sat, 27 Jun 2020 15:52:32 -0700
Subject: Make compatible with sdcc 3.9.0

sdcclib was replaced by sdar

Forwarded: https://github.com/mithro/ixo-usb-jtag/pull/14
Bug-Debian: https://bugs.debian.org/963389
---
 Makefile     | 2 +-
 fx2/Makefile | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/Makefile b/Makefile
index d45f658..0cdd672 100644
--- a/Makefile
+++ b/Makefile
@@ -34,7 +34,7 @@ SDCC_PREFIX ?=
 
 CC = $(SDCC_PREFIX)sdcc
 AS = $(SDCC_PREFIX)sdas8051
-AR = $(SDCC_PREFIX)sdcclib
+AR = $(SDCC_PREFIX)sdar
 PACKIHX=$(SDCC_PREFIX)packihx
 
 CFLAGS+=-mmcs51 --no-xinit-opt -I${LIBDIR}
diff --git a/fx2/Makefile b/fx2/Makefile
index 738ea7a..040fbd9 100644
--- a/fx2/Makefile
+++ b/fx2/Makefile
@@ -19,11 +19,11 @@ CC=sdcc
 CFLAGS+=-mmcs51 --no-xinit-opt -I.
 CPPFLAGS+=
 OBJS=delay.rel fx2utils.rel i2c.rel isr.rel timer.rel usb_common.rel
-AR=sdcclib
+AR=sdar
 
 (%.rel) : %.c
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c $< -o $*.rel
-	$(AR) -a $@ $*.rel
+	$(AR) -rc $@ $*.rel
 	rm $*.rel
 
 libfx2.lib: libfx2.lib($(OBJS))
